#!/bin/bash
if [ ! -f terminwahl_front/static/bulma.sass ]; then
	pushd terminwahl_front/static/ || exit
	wget https://github.com/jgthms/bulma/releases/download/0.9.4/bulma-0.9.4.zip
	unzip bulma-0.9.4.zip
	ln -s bulma/sass/ sass
	ln -s bulma/bulma.sass bulma.sass
	wget https://use.fontawesome.com/releases/v6.3.0/fontawesome-free-6.3.0-web.zip
	unzip fontawesome-free-6.3.0-web.zip
	ln -s fontawesome-free-6.3.0-web/scss/ scss
	ln -s fontawesome-free-6.3.0-web/webfonts webfonts
	popd || exit
fi

systemctl stop Terminwahl
cp -v target/release/terminwahl_back /usr/local/bin/terminwahl_back && chown terminwahl:terminwahl /usr/local/bin/terminwahl_back
echo You may want to copy the database
echo cp -v terminwahl_back/db.sqlite /var/local/terminwahl/db.sqlite && chown terminwahl:terminwahl /var/local/terminwahl/db.sqlite
rsync -va --delete terminwahl_back/templates/ /var/local/terminwahl/templates/
rsync -va --delete terminwahl_front/dist/ /var/local/terminwahl/dist/
systemctl start Terminwahl
